diff --git a/tests/spec/glsl-1.00/compiler/qualifiers/fn-inout-array-allowed-cstyle.frag b/tests/spec/glsl-1.00/compiler/qualifiers/fn-inout-array-allowed-cstyle.frag
deleted file mode 100644
index 497d275..0000000
--- a/tests/spec/glsl-1.00/compiler/qualifiers/fn-inout-array-allowed-cstyle.frag
+++ /dev/null
@@ -1,28 +0,0 @@
-// [config]
-// expect_result: pass
-// glsl_version: 1.00
-// check_link: true
-// [end config]
-//
-// Check that an array can be used as a function inout parameter in
-// GLSL ES 1.00.
-//
-// In this test, the array is declared using C-style array
-// declaration syntax (float x[2] as opposed to float[2] x).
-//
-// From section 5.8 of the GLSL ES 1.00 spec:
-//     Array variables are l-values and may be passed to parameters
-//     declared as out or inout. However, they may not be used as the
-//     target of an assignment.
-
-#version 100
-
-void f(inout float x[2])
-{
-}
-
-void main()
-{
-  float[2] x;
-  f(x);
-}
diff --git a/tests/spec/glsl-1.00/compiler/qualifiers/fn-inout-array-allowed-cstyle.vert b/tests/spec/glsl-1.00/compiler/qualifiers/fn-inout-array-allowed-cstyle.vert
deleted file mode 100644
index af7075f..0000000
--- a/tests/spec/glsl-1.00/compiler/qualifiers/fn-inout-array-allowed-cstyle.vert
+++ /dev/null
@@ -1,29 +0,0 @@
-// [config]
-// expect_result: pass
-// glsl_version: 1.00
-// check_link: true
-// [end config]
-//
-// Check that an array can be used as a function inout parameter in
-// GLSL ES 1.00.
-//
-// In this test, the array is declared using C-style array
-// declaration syntax (float x[2] as opposed to float[2] x).
-//
-// From section 5.8 of the GLSL ES 1.00 spec:
-//     Array variables are l-values and may be passed to parameters
-//     declared as out or inout. However, they may not be used as the
-//     target of an assignment.
-
-#version 100
-
-void f(inout float x[2])
-{
-}
-
-void main()
-{
-  float[2] x;
-  f(x);
-  gl_Position = vec4(0.0);
-}
diff --git a/tests/spec/glsl-1.00/compiler/qualifiers/fn-out-array-allowed-cstyle.frag b/tests/spec/glsl-1.00/compiler/qualifiers/fn-out-array-allowed-cstyle.frag
deleted file mode 100644
index 2dd38ab..0000000
--- a/tests/spec/glsl-1.00/compiler/qualifiers/fn-out-array-allowed-cstyle.frag
+++ /dev/null
@@ -1,28 +0,0 @@
-// [config]
-// expect_result: pass
-// glsl_version: 1.00
-// check_link: true
-// [end config]
-//
-// Check that an array can be used as a function out parameter in
-// GLSL ES 1.00.
-//
-// In this test, the array is declared using C-style array
-// declaration syntax (float x[2] as opposed to float[2] x).
-//
-// From section 5.8 of the GLSL ES 1.00 spec:
-//     Array variables are l-values and may be passed to parameters
-//     declared as out or inout. However, they may not be used as the
-//     target of an assignment.
-
-#version 100
-
-void f(out float x[2])
-{
-}
-
-void main()
-{
-  float[2] x;
-  f(x);
-}
diff --git a/tests/spec/glsl-1.00/compiler/qualifiers/fn-out-array-allowed-cstyle.vert b/tests/spec/glsl-1.00/compiler/qualifiers/fn-out-array-allowed-cstyle.vert
deleted file mode 100644
index 2f839ba..0000000
--- a/tests/spec/glsl-1.00/compiler/qualifiers/fn-out-array-allowed-cstyle.vert
+++ /dev/null
@@ -1,29 +0,0 @@
-// [config]
-// expect_result: pass
-// glsl_version: 1.00
-// check_link: true
-// [end config]
-//
-// Check that an array can be used as a function out parameter in
-// GLSL 1.00.
-//
-// In this test, the array is declared using C-style array
-// declaration syntax (float x[2] as opposed to float[2] x).
-//
-// From section 5.8 of the GLSL ES 1.00 spec:
-//     Array variables are l-values and may be passed to parameters
-//     declared as out or inout. However, they may not be used as the
-//     target of an assignment.
-
-#version 100
-
-void f(out float x[2])
-{
-}
-
-void main()
-{
-  float[2] x;
-  f(x);
-  gl_Position = vec4(0.0);
-}
diff --git a/tests/spec/glsl-es-1.00/compiler/qualifiers/fn-inout-array-allowed-cstyle.frag b/tests/spec/glsl-es-1.00/compiler/qualifiers/fn-inout-array-allowed-cstyle.frag
new file mode 100644
index 0000000..497d275
--- /dev/null
+++ b/tests/spec/glsl-es-1.00/compiler/qualifiers/fn-inout-array-allowed-cstyle.frag
@@ -0,0 +1,28 @@
+// [config]
+// expect_result: pass
+// glsl_version: 1.00
+// check_link: true
+// [end config]
+//
+// Check that an array can be used as a function inout parameter in
+// GLSL ES 1.00.
+//
+// In this test, the array is declared using C-style array
+// declaration syntax (float x[2] as opposed to float[2] x).
+//
+// From section 5.8 of the GLSL ES 1.00 spec:
+//     Array variables are l-values and may be passed to parameters
+//     declared as out or inout. However, they may not be used as the
+//     target of an assignment.
+
+#version 100
+
+void f(inout float x[2])
+{
+}
+
+void main()
+{
+  float[2] x;
+  f(x);
+}
diff --git a/tests/spec/glsl-es-1.00/compiler/qualifiers/fn-inout-array-allowed-cstyle.vert b/tests/spec/glsl-es-1.00/compiler/qualifiers/fn-inout-array-allowed-cstyle.vert
new file mode 100644
index 0000000..af7075f
--- /dev/null
+++ b/tests/spec/glsl-es-1.00/compiler/qualifiers/fn-inout-array-allowed-cstyle.vert
@@ -0,0 +1,29 @@
+// [config]
+// expect_result: pass
+// glsl_version: 1.00
+// check_link: true
+// [end config]
+//
+// Check that an array can be used as a function inout parameter in
+// GLSL ES 1.00.
+//
+// In this test, the array is declared using C-style array
+// declaration syntax (float x[2] as opposed to float[2] x).
+//
+// From section 5.8 of the GLSL ES 1.00 spec:
+//     Array variables are l-values and may be passed to parameters
+//     declared as out or inout. However, they may not be used as the
+//     target of an assignment.
+
+#version 100
+
+void f(inout float x[2])
+{
+}
+
+void main()
+{
+  float[2] x;
+  f(x);
+  gl_Position = vec4(0.0);
+}
diff --git a/tests/spec/glsl-es-1.00/compiler/qualifiers/fn-out-array-allowed-cstyle.frag b/tests/spec/glsl-es-1.00/compiler/qualifiers/fn-out-array-allowed-cstyle.frag
new file mode 100644
index 0000000..2dd38ab
--- /dev/null
+++ b/tests/spec/glsl-es-1.00/compiler/qualifiers/fn-out-array-allowed-cstyle.frag
@@ -0,0 +1,28 @@
+// [config]
+// expect_result: pass
+// glsl_version: 1.00
+// check_link: true
+// [end config]
+//
+// Check that an array can be used as a function out parameter in
+// GLSL ES 1.00.
+//
+// In this test, the array is declared using C-style array
+// declaration syntax (float x[2] as opposed to float[2] x).
+//
+// From section 5.8 of the GLSL ES 1.00 spec:
+//     Array variables are l-values and may be passed to parameters
+//     declared as out or inout. However, they may not be used as the
+//     target of an assignment.
+
+#version 100
+
+void f(out float x[2])
+{
+}
+
+void main()
+{
+  float[2] x;
+  f(x);
+}
diff --git a/tests/spec/glsl-es-1.00/compiler/qualifiers/fn-out-array-allowed-cstyle.vert b/tests/spec/glsl-es-1.00/compiler/qualifiers/fn-out-array-allowed-cstyle.vert
new file mode 100644
index 0000000..2f839ba
--- /dev/null
+++ b/tests/spec/glsl-es-1.00/compiler/qualifiers/fn-out-array-allowed-cstyle.vert
@@ -0,0 +1,29 @@
+// [config]
+// expect_result: pass
+// glsl_version: 1.00
+// check_link: true
+// [end config]
+//
+// Check that an array can be used as a function out parameter in
+// GLSL 1.00.
+//
+// In this test, the array is declared using C-style array
+// declaration syntax (float x[2] as opposed to float[2] x).
+//
+// From section 5.8 of the GLSL ES 1.00 spec:
+//     Array variables are l-values and may be passed to parameters
+//     declared as out or inout. However, they may not be used as the
+//     target of an assignment.
+
+#version 100
+
+void f(out float x[2])
+{
+}
+
+void main()
+{
+  float[2] x;
+  f(x);
+  gl_Position = vec4(0.0);
+}