diff --git a/tests/spec/glsl-1.00/compiler/storage-qualfiers/static-write-attribute-01.vert b/tests/spec/glsl-1.00/compiler/storage-qualfiers/static-write-attribute-01.vert
deleted file mode 100644
index 7547479..0000000
--- a/tests/spec/glsl-1.00/compiler/storage-qualfiers/static-write-attribute-01.vert
+++ /dev/null
@@ -1,17 +0,0 @@
-// [config]
-// expect_result: fail
-// glsl_version: 1.00
-// [end config]
-//
-// From section 4.3.3 of the GLSL 1.00 spec:
-//     Attribute variables are read-only as far as the vertex shader is
-//     concerned.
-
-#version 100
-
-attribute float x;
-
-float f() {
-	x = 0.0;
-	return x;
-}
diff --git a/tests/spec/glsl-1.00/compiler/storage-qualfiers/static-write-attribute-02.vert b/tests/spec/glsl-1.00/compiler/storage-qualfiers/static-write-attribute-02.vert
deleted file mode 100644
index a972d34..0000000
--- a/tests/spec/glsl-1.00/compiler/storage-qualfiers/static-write-attribute-02.vert
+++ /dev/null
@@ -1,20 +0,0 @@
-// [config]
-// expect_result: fail
-// glsl_version: 1.00
-// [end config]
-//
-// From section 4.3.3 of the GLSL 1.00 spec:
-//     Attribute variables are read-only as far as the vertex shader is
-//     concerned.
-
-#version 100
-
-attribute float x;
-
-void f(out float y) {
-    y = 0.0;
-}
-
-void g() {
-    f(x);
-}
diff --git a/tests/spec/glsl-1.00/compiler/storage-qualfiers/static-write-varying-01.frag b/tests/spec/glsl-1.00/compiler/storage-qualfiers/static-write-varying-01.frag
deleted file mode 100644
index f61d29c..0000000
--- a/tests/spec/glsl-1.00/compiler/storage-qualfiers/static-write-varying-01.frag
+++ /dev/null
@@ -1,15 +0,0 @@
-// [config]
-// expect_result: fail
-// glsl_version: 1.00
-// [end config]
-//
-// From section 4.3.5 of the GLSL 1.00 spec:
-//     A fragment shader can not write to a varying variable.
-
-#version 100
-
-varying float x;
-
-void g() {
-    x = 0.0;
-}
diff --git a/tests/spec/glsl-1.00/compiler/storage-qualfiers/static-write-varying-02.frag b/tests/spec/glsl-1.00/compiler/storage-qualfiers/static-write-varying-02.frag
deleted file mode 100644
index e5548c5..0000000
--- a/tests/spec/glsl-1.00/compiler/storage-qualfiers/static-write-varying-02.frag
+++ /dev/null
@@ -1,19 +0,0 @@
-// [config]
-// expect_result: fail
-// glsl_version: 1.00
-// [end config]
-//
-// From section 4.3.5 of the GLSL 1.00 spec:
-//     A fragment shader can not write to a varying variable.
-
-#version 100
-
-varying float x;
-
-void f(out float y) {
-    y = 0.0;
-}
-
-void g() {
-    f(x);
-}
diff --git a/tests/spec/glsl-es-1.00/compiler/storage-qualfiers/static-write-attribute-01.vert b/tests/spec/glsl-es-1.00/compiler/storage-qualfiers/static-write-attribute-01.vert
new file mode 100644
index 0000000..7547479
--- /dev/null
+++ b/tests/spec/glsl-es-1.00/compiler/storage-qualfiers/static-write-attribute-01.vert
@@ -0,0 +1,17 @@
+// [config]
+// expect_result: fail
+// glsl_version: 1.00
+// [end config]
+//
+// From section 4.3.3 of the GLSL 1.00 spec:
+//     Attribute variables are read-only as far as the vertex shader is
+//     concerned.
+
+#version 100
+
+attribute float x;
+
+float f() {
+	x = 0.0;
+	return x;
+}
diff --git a/tests/spec/glsl-es-1.00/compiler/storage-qualfiers/static-write-attribute-02.vert b/tests/spec/glsl-es-1.00/compiler/storage-qualfiers/static-write-attribute-02.vert
new file mode 100644
index 0000000..a972d34
--- /dev/null
+++ b/tests/spec/glsl-es-1.00/compiler/storage-qualfiers/static-write-attribute-02.vert
@@ -0,0 +1,20 @@
+// [config]
+// expect_result: fail
+// glsl_version: 1.00
+// [end config]
+//
+// From section 4.3.3 of the GLSL 1.00 spec:
+//     Attribute variables are read-only as far as the vertex shader is
+//     concerned.
+
+#version 100
+
+attribute float x;
+
+void f(out float y) {
+    y = 0.0;
+}
+
+void g() {
+    f(x);
+}
diff --git a/tests/spec/glsl-es-1.00/compiler/storage-qualfiers/static-write-varying-01.frag b/tests/spec/glsl-es-1.00/compiler/storage-qualfiers/static-write-varying-01.frag
new file mode 100644
index 0000000..f61d29c
--- /dev/null
+++ b/tests/spec/glsl-es-1.00/compiler/storage-qualfiers/static-write-varying-01.frag
@@ -0,0 +1,15 @@
+// [config]
+// expect_result: fail
+// glsl_version: 1.00
+// [end config]
+//
+// From section 4.3.5 of the GLSL 1.00 spec:
+//     A fragment shader can not write to a varying variable.
+
+#version 100
+
+varying float x;
+
+void g() {
+    x = 0.0;
+}
diff --git a/tests/spec/glsl-es-1.00/compiler/storage-qualfiers/static-write-varying-02.frag b/tests/spec/glsl-es-1.00/compiler/storage-qualfiers/static-write-varying-02.frag
new file mode 100644
index 0000000..e5548c5
--- /dev/null
+++ b/tests/spec/glsl-es-1.00/compiler/storage-qualfiers/static-write-varying-02.frag
@@ -0,0 +1,19 @@
+// [config]
+// expect_result: fail
+// glsl_version: 1.00
+// [end config]
+//
+// From section 4.3.5 of the GLSL 1.00 spec:
+//     A fragment shader can not write to a varying variable.
+
+#version 100
+
+varying float x;
+
+void f(out float y) {
+    y = 0.0;
+}
+
+void g() {
+    f(x);
+}